summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-11-07 15:22:09 +0000
committerV3n3RiX <venerix@koprulu.sector>2022-11-07 15:22:09 +0000
commit441369caa3d11703d0349d4b9746b7ad10aa6cb2 (patch)
tree5d36ced6c5c7c609bcca67e1cfe9f4125237185f /eclass
parent85ba3f2cfe9ff2b952efb1f3c3c08840f8093246 (diff)
gentoo auto-resync : 07:11:2022 - 15:22:08
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin37670 -> 37669 bytes
-rw-r--r--eclass/git-r3.eclass5
2 files changed, 5 insertions, 0 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 322b813af153..f6a9bfa24ced 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/git-r3.eclass b/eclass/git-r3.eclass
index 59d4f9a0038f..bdb28565e2f9 100644
--- a/eclass/git-r3.eclass
+++ b/eclass/git-r3.eclass
@@ -887,6 +887,11 @@ git-r3_checkout() {
cp "${orig_repo}"/packed-refs "${GIT_DIR}"/packed-refs || die
fi
+ # mark this directory as "safe" so that src_install() can access it
+ # https://bugs.gentoo.org/879353
+ git config --global --add safe.directory \
+ "$(cd "${out_dir}" && echo "${PWD}")" || die
+
# (no need to copy HEAD, we will set it via checkout)
if [[ -f ${orig_repo}/shallow ]]; then